@if (adminUserViewComponentData) {
  <div class="user-information-grid">
    <sqtm-core-label
      [text]="'sqtm-core.entity.user.state.label' | translate"
      class="test-case-modification-label"
    >
    </sqtm-core-label>
    <div>
      <label
        [attr.data-test-field-id]="'inactive-user-label'"
        [ngClass]="inactiveColor"
        class="m-r-10"
      >
        {{ 'sqtm-core.entity.user.inactive.label' | translate }}
      </label>
      <nz-switch
        [(ngModel)]="adminUserViewComponentData.user.active"
        nzSize="small"
        [nzControl]="true"
        [nzCheckedChildren]="checkedTemplate"
        [nzUnCheckedChildren]="unCheckedTemplate"
        [attr.data-test-field-id]="'active'"
        (click)="changeUserStatus()"
      >
      </nz-switch>
      <label
        [attr.data-test-field-id]="'active-user-label'"
        [ngClass]="activeColor"
        class="m-l-10"
      >
        {{ 'sqtm-core.entity.user.active.label' | translate }}
      </label>
    </div>
    <sqtm-core-label
      [text]="'sqtm-core.entity.generic.creation.label' | translate"
    >
    </sqtm-core-label>
    <sqtm-core-auditable-field
      [attr.data-test-field-id]="'user-created'"
      [date]="adminUserViewComponentData.user.createdOn"
      [userName]="adminUserViewComponentData.user.createdBy"
    >
    </sqtm-core-auditable-field>
    <sqtm-core-label
      [text]="'sqtm-core.entity.user.account.password.label' | translate"
    >
    </sqtm-core-label>
    @if (adminUserViewComponentData.user.canManageLocalPassword) {
      <div>
        <button
          [attr.data-test-button-id]="'reset-password-btn'"
          nz-button
          nzType="default"
          nzSize="small"
          class="reset-button"
          (click)="openResetPasswordDialog()"
        >
          {{ 'sqtm-core.entity.user.account.reset-password.label' | translate }}
        </button>
      </div>
    } @else {
      <span>{{
        'sqtm-core.administration-workspace.users.managed-password' | translate
      }}</span>
    }
    <sqtm-core-label
      [text]="'sqtm-core.entity.generic.modification.label' | translate"
    >
    </sqtm-core-label>
    <sqtm-core-auditable-field
      [attr.data-test-field-id]="'user-last-modified'"
      [date]="adminUserViewComponentData.user.lastModifiedOn"
      [userName]="adminUserViewComponentData.user.lastModifiedBy"
    >
    </sqtm-core-auditable-field>
    <sqtm-core-label
      [text]="'sqtm-core.entity.user.first-name.label' | translate"
    >
    </sqtm-core-label>
    <sqtm-core-editable-text-field
      [sqtmCoreGenericViewEditableTextField]="'firstName'"
      [attr.data-test-field-id]="'user-first-name'"
      layout="compact"
    >
    </sqtm-core-editable-text-field>
    <sqtm-core-label
      [text]="'sqtm-core.entity.user.last-connection.label' | translate"
    >
    </sqtm-core-label>
    <div [attr.data-test-field-id]="'user-last-connected-on'">
      <span>{{ lastConnectedOn }}</span>
    </div>
    <sqtm-core-label
      [text]="'sqtm-core.entity.user.last-name.label' | translate"
    >
    </sqtm-core-label>
    <sqtm-core-editable-text-field
      [sqtmCoreGenericViewEditableTextField]="'lastName'"
      [required]="true"
      [attr.data-test-field-id]="'user-last-name'"
      layout="compact"
    >
    </sqtm-core-editable-text-field>

    <sqtm-core-label
      class="grid-column-start-1"
      [text]="'sqtm-core.entity.user.email.label' | translate"
    >
    </sqtm-core-label>
    <sqtm-core-editable-text-field
      class="txt-ellipsis"
      [sqtmCoreGenericViewEditableTextField]="'email'"
      [attr.data-test-field-id]="'user-email'"
      layout="compact"
    >
    </sqtm-core-editable-text-field>

    <sqtm-core-label
      class="grid-column-start-1"
      [text]="'sqtm-core.entity.user.account.group-authority.label' | translate"
    >
    </sqtm-core-label>
    @if ($isTestAutoServerUser()) {
      <sqtm-core-label
        [attr.data-test-field-id]="'user-group-test-auto'"
        [text]="
          'sqtm-core.entity.user.account.group-authority.automated-server'
            | translate
        "
      >
      </sqtm-core-label>
    } @else {
      <sqtm-core-editable-select-field
        [attr.data-test-field-id]="'user-group'"
        [options]="getUsersGroups(adminUserViewComponentData.user.usersGroups)"
        [value]="adminUserViewComponentData.user.usersGroupBinding.toString()"
        (confirmEvent)="confirmUserGroup($event)"
        layout="no-buttons"
      >
      </sqtm-core-editable-select-field>
    }
    <ng-template #checkedTemplate><i nz-icon nzType="check"></i></ng-template>
    <ng-template #unCheckedTemplate><i nz-icon nzType="close"></i></ng-template>
  </div>
}
